## visad.data.hdfeos
Class HdfeosTuple

    java.lang.Object
      visad.data.hdfeos.HdfeosData
          visad.data.hdfeos.HdfeosTuple

public class HdfeosTuple
extends HdfeosData

Field Summary
`(package private) Vector` `dataSet`
`(package private) HdfeosData[]` `elements`
`(package private) int` `length`

Constructor Summary
`(package private)` `HdfeosTuple(HdfeosData[] elements)`

Method Summary
`DataImpl` `getAdaptedData()`
`DataImpl` `getAdaptedData(int[] indexes)`
`DataImpl` `getData()`
`DataImpl` `getData(int[] indexes)`
`HdfeosData` `getElement(int ii)`
`Enumeration` `getEnum()`
`int` `getSize()`
`MathType` `getType()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dataSet

    Vector dataSet

### elements

    HdfeosData[] elements

### length

    int length

Constructor Detail

### HdfeosTuple

    HdfeosTuple(HdfeosData[] elements)
          throws VisADException,
                 RemoteException

Method Detail

### getType

    public MathType getType()
                     throws VisADException

  Specified by:
    `getType` in class `HdfeosData`
  Throws:
    `VisADException`

### getData

    public DataImpl getData()
                     throws VisADException,
                            RemoteException

  Specified by:
    `getData` in class `HdfeosData`
  Throws:
    `VisADException`
    `RemoteException`

### getData

    public DataImpl getData(int[] indexes)
                     throws VisADException,
                            RemoteException

  Specified by:
    `getData` in class `HdfeosData`
  Throws:
    `VisADException`
    `RemoteException`

### getAdaptedData

    public DataImpl getAdaptedData()
                            throws VisADException,
                                   RemoteException

  Specified by:
    `getAdaptedData` in class `HdfeosData`
  Throws:
    `VisADException`
    `RemoteException`

### getAdaptedData

    public DataImpl getAdaptedData(int[] indexes)
                            throws VisADException,
                                   RemoteException

  Specified by:
    `getAdaptedData` in class `HdfeosData`
  Throws:
    `VisADException`
    `RemoteException`

### getSize

    public int getSize()

### getElement

    public HdfeosData getElement(int ii)

### getEnum

    public Enumeration getEnum()

### toString

    public String toString()